> ## Documentation Index
> Fetch the complete documentation index at: https://together-ai-preview.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Introduction

> Introduction to Together AI and all its services.

👋 Welcome to the Together AI docs! Together AI makes it easy to run or fine-tune leading open source models with only a few lines of code. We offer a variety of generative AI services:

<CardGroup cols={2}>
  <Card title="Serverless models" icon="server">
    Use the [API](/reference/chat-completions) or [playground](https://api.together.xyz/playground) to evaluate 100+ models run out of the box with our [Inference Engine](https://www.together.ai/blog/together-inference-engine-2). You only pay per token/image.
  </Card>

  <Card title="On-demand dedicated endpoints" icon="webhook">
    Run models on your own private GPU, with a pay-per-second usage model. Start dedicated endpoints [here](https://api.together.xyz/models?filter=dedicated) and review our [docs](/docs/dedicated-endpoints).
  </Card>

  <Card title="Monthly reserved dedicated endpoints" icon="webhook">
    Larger capacity reserved instances starting at a one month minimum, including VPC options for large deployments. [Contact us](https://www.together.ai/forms/monthly-reserved)
  </Card>

  <Card title="Fine-Tuning" icon="sliders">
    Fine-tune with [a few commands](/docs/fine-tuning-cli) and [deploy](/docs/fine-tuning-cli#deploy-your-fine-tuned-model) your fine-tuned model for inference.
  </Card>

  <Card title="GPU Clusters" icon="circle-nodes">
    If you're interested in private, state of the art clusters with A100 or H100 GPUs, [contact us](https://www.together.ai/forms/gpu-cluster-requests).
  </Card>
</CardGroup>

## [Quickstart](#quickstart)

See our [full quickstart](/docs/quickstart) for how to get started with our API in 1 minute.

<Tabs>
  <Tab title="Python">
    ```python theme={null}
    from together import Together

    client = Together()

    completion = client.chat.completions.create(
    model="meta-llama/Meta-Llama-3.1-8B-Instruct-Turbo",
    messages=[{"role": "user", "content": "What are the top 3 things to do in New York?"}],
    )
    ```
  </Tab>

  <Tab title="TypeScript">
    ```typescript theme={null}
    import Together from 'together-ai';

    const together = new Together()

    const completion = await together.chat.completions.create({
    model: 'meta-llama/Meta-Llama-3.1-8B-Instruct-Turbo',
    messages: [{ role: 'user', content: 'Top 3 things to do in New York?' },],
    });
    ```
  </Tab>

  <Tab title="cURL">
    ```bash theme={null}
    curl -X POST "https://api.together.xyz/v1/chat/completions" \
     -H "Authorization: Bearer $TOGETHER_API_KEY" \
     -H "Content-Type: application/json" \
     -d '{
     	"model": "meta-llama/Meta-Llama-3.1-8B-Instruct-Turbo",
     	"messages": [
          {"role": "user", "content": "What are some fun things to do in New York?"}
     	]
     }'
    ```
  </Tab>
</Tabs>

## [Which model should I use?](#which-model-should-i-use)

Together hosts many popular models via our serverless endpoints. You can also use our dedicated GPU infrastructure to configure and host your own model.

When using one of our hosted serverless models, you'll be charged based on the amount of tokens you use in your queries. For dedicated models you configure and run yourself, you'll be charged per minute as long as your endpoint is running. You can start or stop your endpoint at any time using our online playground.

To learn more about the pricing for both our serverless and dedicated endpoints, [visit our pricing page](https://together.ai/pricing).

Check out these pages to see our current list of available models:

* [Chat models](/docs/chat-models)
* [Language and code models](/docs/language-and-code-models)
* [Image models](/docs/image-models)
* [Embedding models](/docs/embedding-models)
* [Fine-tuning models](/docs/fine-tuning-models)

Don't see a model you want to use? **[Send us a request](https://www.together.ai/forms/model-requests)** to add or upvote the model you'd love to see us add to our serverless infrastructure.

## [Next steps](#next-steps)

* Check out the [Together AI playground](https://api.together.xyz/playground) to try out different models.
* Learn how to [stream responses](/docs/inference-streaming-tokens) back to your applications.
* Explore [our examples](/docs/examples) to learn about various use cases.
* See [our integrations](/docs/integrations) with leading LLM frameworks.

## [Resources](#resources)

* [Pricing](https://www.together.ai/pricing)
* [Support](https://www.together.ai/contact)
* [Privacy policy](https://www.together.ai/privacy)

Updated 10 days ago
